Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Interface XmlDocument

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  XmlDocumentImpl

    public interface XmlDocument

extends Serializable

Describes a parsed xml document.

Method Summary
`org.dom4j.Document` | `getDocumentTree()` Retrieve the parsed DOM tree.
`Origin` | `getOrigin()` Retrieve the document's origin.

Method Detail

### getDocumentTree

    org.dom4j.Document getDocumentTree()

  Retrieve the parsed DOM tree.

  Returns:
    the DOM tree

### getOrigin

    Origin getOrigin()

  Retrieve the document's origin.

  Returns:
    The origin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.